package com.kuyuntech.vrv.coreapi.service.core;

import com.kuyuntech.vrv.coreapi.bean.core.OperatorLogBean;
import com.wbspool.fastboot.core.common.bean.PagerBean;
import java.util.List;

/**
 * OperatorLogService
 *
 */
public interface OperatorLogService  {

    

    /**
     * 新增记录
     * @param operatorLogBean 新增参数
     * @return 如果成功返回对应bean，否则返回null
     */
     OperatorLogBean add(OperatorLogBean operatorLogBean);

    /**
     * 更新记录
     * @param operatorLogBean 更新参数
     * @return 如果成功返回对应bean，否则返回null
     */
     OperatorLogBean update(OperatorLogBean operatorLogBean);

    /**
     * 删除记录
     * @param operatorLogBean 删除参数
     * @return 如果成功返回对应bean，否则返回null
     */
    OperatorLogBean delete(OperatorLogBean operatorLogBean);

    /**
     * 查找一条记录
     * @param operatorLogBean 查找参数
     * @return 如果成功返回对应bean，否则返回null
     */
    OperatorLogBean find(OperatorLogBean operatorLogBean);

    /**
     * 通过唯一标识查找记录
     * @param code 用户标识
     * @return 记录存在返回对应的bean，否则返回null
     */
     OperatorLogBean find(String code);

    /**
     * 分页查找多条记录
     * @param operatorLogBean 查找参数
     * @param pagerBean  分页参数
     * @return 记录存在返回对应的bean集合，否则返回空集合
     */
     List<OperatorLogBean> findAll(OperatorLogBean operatorLogBean, PagerBean pagerBean);



    /**
     * 查找所有记录
     * @param operatorLogBean 查找参数
     * @return 记录存在返回对应的bean集合，否则返回空集合
     */
     List<OperatorLogBean> findAll(OperatorLogBean operatorLogBean);


    /**
     * 统计所有记录
     * @param operatorLogBean 统计参数
     * @return 记录存在返回对应的bean集合，否则返回空集合
     */
     Long countAll(OperatorLogBean operatorLogBean);

    /**
     * 分页查找多条记录
     * @param operatorLogBean 查询条件参数
     * @param pagerBean 分页参数
     * @return 返回查询结果的Pager封装
     */
     PagerBean<OperatorLogBean> findPager(OperatorLogBean operatorLogBean, PagerBean pagerBean);

    /**
     * 批量删除
     * @param operatorLogBeans 批量删除元素集合
     */
     void batchDelete(List<OperatorLogBean> operatorLogBeans);

    /**
     * 批量删除
     * @param codes 唯一标识集合
     */
    void batchDeleteByCodes(List<String> codes);

    

}
